| Home | Libraries | People | FAQ | More

###### http::chunk_header::chunk_header (3 of 5 overloads)

Constructor.

###### Synopsis

    template<
        class ChunkExtensions>
    chunk_header(
        std::size_t size,
        ChunkExtensions&& extensions);

###### Description

This constructs a buffer sequence representing a chunked-body size and terminating CRLF (`"\r\n"`) with provided chunk extensions. The default allocator is used to provide storage for the extensions object.

###### Parameters

Name | Description
--- | ---
`size` | The size of the chunk body that follows. The value must be greater than zero.
`extensions` | The chunk extensions object. The expression `extensions.str()` must be valid, and the return type must be convertible to `string_view`. This object will be copied or moved as needed to ensure that the chunk header object retains ownership of the buffers provided by the chunk extensions object.

###### Remarks

This function participates in overload resolution only if ChunkExtensions meets the requirements stated above.

###### See Also

https://tools.ietf.org/html/rfc7230#section-4.1